<?php
	class SettingsMailChimp extends Plug 
	{
		private $apiKey;	
		
		public function __construct() 
		{
			$here = $this->here();
			parent::__construct($here."/../info.xml");
		}	
		
		public function saveMailChimpSettings($data)
		{
			$settings = $this->connector->mysqlSelect("select ".system_db_prefix."settings.id from ".system_db_prefix."settings order by timestamp desc limit 1");	
			$id = $settings[0]['id']; 
			foreach ($data as $key=>$value)
			{
				$customSql = "
     			insert into ".system_db_prefix."plug_settingsGeneral_customFields 
      			(`settingsId`, `name`, `value`) 
      			values 
      			('".$id."', '".mysql_real_escape_string($key)."', '".mysql_real_escape_string($value)."') 
     			on duplicate key 
      			update `value` = '".$value."'";
				$this->connector->mysqlQuery($customSql);		
			}
		}
		
		public function getMailChimpSettings()
		{
			$settings = $this->connector->mysqlSelect("select ".system_db_prefix."settings.id from ".system_db_prefix."settings order by timestamp desc limit 1");
			
			$customSettings = $this->connector->mysqlSelect("
			select
				".system_db_prefix."plug_settingsGeneral_customFields.*
			
			from 
				".system_db_prefix."plug_settingsGeneral_customFields
			
			where
				".system_db_prefix."plug_settingsGeneral_customFields.settingsId = '".$settings[0]["id"]."'
			");
		
			$customFields =array();
			foreach ($customSettings as $setting)
			{
				if ($setting['name'] == 'mailChimApiKey')
				{
					$customFields[$setting['name']] = $setting['value'];
					$this->apiKey = $setting['value'];
				}
				if ($setting['name'] == 'mailChimpEmailList')
				{
					$customFields[$setting['name']] = $setting['value'];
				}
			
			}
			return $customFields;
		}
		
		public function getListFromMailChimp()
		{
			$api = new MCAPI($this->apiKey);
			$retval = $api->lists();
			
			$mailChimpList = array();
			if (!$api->errorCode)
			{
				foreach ($retval['data'] as $list)
				{
					$mailChimpList[$list['id']] =$list['name'];
				}
			}
			return $mailChimpList;
		}
		
		private static function here()
		{
			return dirname(__FILE__);
		}
	}
?>		